var rec00001_TitulosAReceber_Repository = function (restEngine, localStorageEngine) {

    this.retornaUnidadeLogada = function() {
        var filter = [
            {
                "name": "CDFILIAL",
                "operator": "=",
                "value": "FILIAL_LOGADA"
            }
        ];
        
        //return localStorageEngine.download("fin#/crud/filial", filter);
        
        return restEngine.post("fin#/crud/filial", {
            "requestType": "FilterData",
            "filter": filter
        });
    };
    
    this.buscaPadraoSerieNF = function(cdfilial, cdfiliemit) {
        return restEngine.post('fin_contaReceber#/crud/notafiscal_serie', {
            "requestType": "FilterData",
            "filter": [
                {
                    "name": "CDFILIAL",
                    "operator": "=",
                    "value": cdfilial
                },
                {
                    "name": "CDFILIEMIT",
                    "operator": "=",
                    "value": cdfiliemit
                }
            ]
        });
    };

    this.getDtprocessa = function(cdFilialOpcional) {
        var cdFilialFiltrada = cdFilialOpcional || "FILIAL_LOGADA";
        var filter = [
            {
                "name": "CDFILIAL",
                "operator": "=",
                "value": cdFilialFiltrada
            }
        ];
        return restEngine.post("fin#/crud/paramestoque_processamento", {
            "requestType": "FilterData",
            "filter": filter
        });
    };

    this.buscaEmpresa = function(cdempresa){
        return restEngine.post('fin#/crud/empresa', {
            "requestType": "FilterData",
            "filter": [
                {
                    "name": "CDEMPRESA",
                    "operator": "=",
                    "value": cdempresa
                }
            ]
        });
    };

    this.buscaParamfilialFilialEmprcntrfil = function(cdempresa, cdfilial){
        return restEngine.post('fin_contaReceber#/crud/paramfilial_filial_emprcntrfil', {
            "requestType": "FilterData",
            "filter": [
                {
                    "name": "P_CDEMPRESA",
                    "operator": "=",
                    "value": cdempresa
                },
                {
                    "name": "CDFILIAL",
                    "operator": "=",
                    "value": cdfilial
                }
            ]
        });
    };

    this.buscaTipooperac = function(cdtipooper){
        return restEngine.post('fin#/crud/tipooperac', {
            "requestType": "FilterData",
            "filter": [
                {
                    "name": "IDENTRSAIDOP",
                    "operator": "=",
                    "value": "S"
                },
                {
                    "name": "IDUTILOPER",
                    "operator": "=",
                    "value": "S"
                },
                {
                    "name": "CDTIPOOPER",
                    "operator": "=",
                    "value": cdtipooper
                }
            ]
        });
    };

    this.buscaSerienfFilial = function(cdempresa, cdfilial, cdserie){
        return restEngine.post('fin_contaReceber#/serienf_filial', {
            "requestType": "FilterData",
            "filter": [
                {
                    "name": "CDEMPRESA",
                    "operator": "=",
                    "value": cdempresa
                },
                {
                    "name": "CDFILIAL",
                    "operator": "=",
                    "value": cdfilial
                },
                {
                    "name": "CDSERIE",
                    "operator": "=",
                    "value": cdserie
                }
            ]
        });
    };

    this.buscaCliente = function(cdcliente){
        return restEngine.post('fin#/crud/empresa', {
            "requestType": "FilterData",
            "filter": [
                {
                    "name": "CDCLIENTE",
                    "operator": "=",
                    "value": cdcliente
                }
            ]
        });
    };

    this.buscaAjusteTitulo = function(cdfilial, nrlanbolrec){
        return restEngine.post('fin#/crud/ajbolrec', {
            "requestType": "FilterData",
            "filter": [
                {
                    "name": "CDFILIAL",
                    "operator": "=",
                    "value": cdfilial
                },
                {
                    "name": "NRLANBOLREC",
                    "operator": "=",
                    "value": nrlanbolrec
                }
            ]
        });
    };

    this.buscaEndefili = function(cdfilial, idtpendefili){
        return restEngine.post('fin#/crud/endefili', {
            "requestType": "FilterData",
            "filter": [
                {
                    "name": "CDFILIAL",
                    "operator": "=",
                    "value": cdfilial
                },
                {
                    "name": "IDTPENDEFILI",
                    "operator": "=",
                    "value": idtpendefili
                }
            ]
        });
    };

    this.buscaContaReceber = function(cdfilial, nrlanctonf){
        return restEngine.post('fin#/crud/contareceber', {
            "requestType": "FilterData",
            "filter": [
                {
                    "name": "CDFILIAL",
                    "operator": "=",
                    "value": cdfilial
                },
                {
                    "name": "NRLANCTONF",
                    "operator": "=",
                    "value": nrlanctonf
                }
            ]
        });
    };

    this.buscaCliente = function(cdcliente){
        return restEngine.post('fin#/crud/cliente', {
            "requestType": "FilterData",
            "filter": [
                {
                    "name": "CDCLIENTE",
                    "operator": "=",
                    "value": cdcliente
                }
            ]
        });
    };

    this.buscaTipoctreceber = function(cdtpctreceb){
        return restEngine.post('fin#/crud/tipoctreceber', {
            "requestType": "FilterData",
            "filter": [
                {
                    "name": "IDUTLANCCREC",
                    "operator": "=",
                    "value": "S"
                },
                {
                    "name": "CDTPCTRECEB",
                    "operator": "=",
                    "value": cdtpctreceb
                }
            ]
        });
    };

    this.buscaGeralRec = function(){
        return restEngine.post('fin#/crud/geral_rec', {
            "requestType": "FilterData",
            "filter": []
        });
    };

    this.buscaParExpedicao = function(cdfilial){
        return restEngine.post('fin#/crud/parexpedicao', {
            "requestType": "FilterData",
            "filter": [
                {
                    "name": "CDFILIAL",
                    "operator": "=",
                    "value": cdfilial
                }
            ]
        });
    };

    this.buscaContOpeCtbl = function(cdempresa){
        return restEngine.post('fin#/crud/contopectbl', {
            "requestType": "FilterData",
            "filter": [
                {
                    "name": "CDEMPRESA",
                    "operator": "=",
                    "value": cdempresa
                }
            ]
        });
    };

    this.atualizaTituloAReceber = function(currentRow){
        return restEngine.post('fin_contaReceber#/boletreceber_tipobaixarec_contcorr/atualizaTituloAReceber', {
            "requestType": "Row",
            "row": currentRow
        });
    };

    this.geraTituloAReceberDoc = function(dataSet){
        return restEngine.post('fin_contaReceber#/boletreceber_tipobaixarec_contcorr/geraTituloAReceberDoc', {
            "requestType": "DataSet",
            "dataset": dataSet,
            "params": []
        });
    };
    
    this.saveAnexoDocGrid = function(currentRow){
        return restEngine.post('fin_contaReceber#/salvaAnexoTituloRec', {
            "requestType": "Row",
            "row": currentRow
        });
    };
    
    this.salvaAnexoGrid = function(currentRow){
        return restEngine.post('fin_contaReceber#/salvaAnexoGridRec', {
            "requestType": "Row",
            "row": currentRow
        });
    };
    
    this.deleteAnexoDocGrid = function(dataSet){
        return restEngine.post('fin_contaReceber#/deletaAnexoTituloRec', {
            "requestType": "DataSet",
            "dataset": dataSet
        });
    };
    
    this.deleteAnexoGrid = function(dataSet){
        return restEngine.post('fin_contaReceber#/deleteAnexoGridRec', {
            "requestType": "DataSet",
            "dataset": dataSet
        });
    };
    
    this.deleteAnexoIncompletos = function(){
        return restEngine.post('fin_contaReceber#/deleteAnexoIncompletosRec');
    };
    
    this.getFileServerUrl = function(){
        return restEngine.post('fin_contaReceber#/getFileServerUrlRec', {
            "requestType": "Row",
            "row": {}
        });
    };

    this.geraNovoCodigo = function(currentRow){
        return restEngine.post('fin_contaReceber#/boletreceber_tipobaixarec_contcorr/geraNovoCodigo', {
            "requestType": "Row",
            "row": currentRow
        });
    };

    this.deletaVencTituloReceber = function(currentRow){
        return restEngine.post('fin_contaReceber#/boletreceber_tipobaixarec_contcorr/deletaVencTituloReceber', {
            "requestType": "Row",
            "row": currentRow
        });
    };

    this.baixaTituloReceber = function(currentRow){
        return restEngine.post('fin_contaReceber#/boletreceber_tipobaixarec_contcorr/baixaTituloReceber', {
            "requestType": "Row",
            "row": currentRow
        });
    };

    this.geraCadastramentoAutomatico = function(currentRow){
        return restEngine.post('fin_contaReceber#/boletreceber_tipobaixarec_contcorr/geraCadastramentoAutomatico', {
            "requestType": "Row",
            "row": currentRow
        });
    };

    this.remessaTituloReceber = function(currentRow){
        return restEngine.post('fin_contaReceber#/boletreceber_tipobaixarec_contcorr/remessaTituloReceber', {
            "requestType": "Row",
            "row": currentRow
        });
    };

    this.excluiBaixaTituloReceber = function(currentRow){
        return restEngine.post('fin_contaReceber#/boletreceber_tipobaixarec_contcorr/excluiBaixaTituloReceber', {
            "requestType": "Row",
            "row": currentRow
        });
    };

    this.excluiBoletoBaixaTituloReceber = function(currentRow){
        return restEngine.post('fin_contaReceber#/boletreceber_tipobaixarec_contcorr/excluiBoletoBaixaTituloReceber', {
            "requestType": "Row",
            "row": currentRow
        });
    };

    this.excluiTituloRecRemessa = function(currentRow){
        return restEngine.post('fin_contaReceber#/boletreceber_tipobaixarec_contcorr/excluiTituloRecRemessa', {
            "requestType": "Row",
            "row": currentRow
        });
    };

    this.excluiRemessaRec = function(currentRow){
        return restEngine.post('fin_contaReceber#/boletreceber_tipobaixarec_contcorr/excluiRemessaRec', {
            "requestType": "Row",
            "row": currentRow
        });
    };

    this.deletaDocTituloReceber = function(currentRow){
        return restEngine.post('fin_contaReceber#/boletreceber_tipobaixarec_contcorr/deletaDocTituloReceber', {
            "requestType": "Row",
            "row": currentRow
        });
    };

    this.editarTituloAReceber = function(currentRow){
        return restEngine.post('fin_contaReceber#/boletreceber_tipobaixarec_contcorr/edit', {
            "requestType": "Row",
            "row": currentRow
        });
    };

    this.deletaAjusteConta = function(currentRow){
        return restEngine.post('fin_contaReceber#/ajctreceber_tipoajreceber/remove', {
            "requestType": "Row",
            "row": currentRow
        });
    };

    this.deletaRateioConta = function(currentRow){
        return restEngine.post('fin_contaReceber#/ratctreceber_filial_centcust/remove', {
            "requestType": "Row",
            "row": currentRow
        });
    };

    this.salvaDocumentoBoleto = function(currentRow){
        return restEngine.post('fin_contaReceber#/notafiscal_contareceber_boletreceber/save', {
            "requestType": "Row",
            "row": currentRow
        });
    };

    this.salvarAjusteBoleto = function(dataSet){
        return restEngine.post('fin_contaReceber#/salvarAjusteBoleto/save', {
            "requestType": "DataSet",
            "dataset": dataSet,
            "params": []
        });
    };

    this.finalizaParcelamentoTitulos = function(dataSet){
        return restEngine.post('fin_contaReceber#/finalizaParcelamentoTitulos/save', {
            "requestType": "DataSet",
            "dataset": dataSet,
            "params": []
        });
    };

    this.finalizaTipoRecebimento = function(dataSet){
        return restEngine.post('fin_contaReceber#/tprecboleto_tiporece_cartao/save', {
            "requestType": "DataSet",
            "dataset": dataSet,
            "params": []
        });
    };

    this.transformaPlanejadoTitulo = function(currentRow){
        return restEngine.post('fin_contaReceber#/boletreceber_tipobaixarec_contcorr/transformaPlanejadoTitulo', {
            "requestType": "Row",
            "row": currentRow
        });
    };

    this.transformaBoletoPlanejadoTitulo = function(currentRow){
        return restEngine.post('fin_contaReceber#/boletreceber_tipobaixarec_contcorr/transformaBoletoPlanejadoTitulo', {
            "requestType": "Row",
            "row": currentRow
        });
    };

    this.downloadRemessaReceber = function(currentRow){
        return restEngine.post('fin_contaReceber#/boletreceber_tipobaixarec_contcorr/downloadRemessaReceber', {
            "requestType": "Row",
            "row": currentRow
        });
    };

    this.deletaParcelamentoTitulos = function(dataSet){
        return restEngine.post('fin_contaReceber#/boletreceber_motivoparc_contcorr/remove', {
            "requestType": "DataSet",
            "dataset": dataSet,
            "params": []
        });
    };

    this.deletaTipoRecebimento = function(dataSet){
        return restEngine.post('fin_contaReceber#/tprecboleto_tiporece_cartao/remove', {
            "requestType": "DataSet",
            "dataset": dataSet,
            "params": []
        });
    };

    this.confirmarAssociacaoTitulo = function(dataSet){
        return restEngine.post('fin_contaReceber#/boletreceber_tipobaixarec_contcorr/associar', {
            "requestType": "DataSet",
            "dataset": dataSet,
            "params": []
        });
    };

    this.validaAssociarTituloAReceber = function(dataSet){
        return restEngine.post('fin_contaReceber#/boletreceber_tipobaixarec_contcorr/validaAssociar', {
            "requestType": "DataSet",
            "dataset": dataSet,
            "params": []
        });
    };

    this.validaProrrogarTituloAReceber = function(dataSet){
        return restEngine.post('fin_contaReceber#/boletreceber_tipobaixarec_contcorr/validaProrrogar', {
            "requestType": "DataSet",
            "dataset": dataSet,
            "params": []
        });
    };

    this.confirmarProrrogacaoTitulo = function(dataSet){
        return restEngine.post('fin_contaReceber#/boletreceber_tipobaixarec_contcorr/prorrogar', {
            "requestType": "DataSet",
            "dataset": dataSet,
            "params": []
        });
    };

    this.emitirTituloAReceber = function(dataSet){
        return restEngine.post('fin_contaReceber#/boletreceber_tipobaixarec_contcorr/emitir', {
            "requestType": "DataSet",
            "dataset": dataSet,
            "params": []
        });
    };

    this.cancelaAssociarTituloAReceber = function(dataSet){
        return restEngine.post('fin_contaReceber#/boletreceber_tipobaixarec_contcorr/cancelaAssociar', {
            "requestType": "DataSet",
            "dataset": dataSet,
            "params": []
        });
    };

    this.cancelaEmissaoTituloAReceber = function(dataSet){
        return restEngine.post('fin_contaReceber#/boletreceber_tipobaixarec_contcorr/cancelaEmissao', {
            "requestType": "DataSet",
            "dataset": dataSet,
            "params": []
        });
    };

    this.verificaCnabTituloAReceber = function(dataSet){
        return restEngine.post('fin_contaReceber#/boletreceber_tipobaixarec_contcorr/verificaCnab', {
            "requestType": "DataSet",
            "dataset": dataSet,
            "params": []
        });
    };

    this.finalizaRateioConta = function(dataSet){
        return restEngine.post('fin_contaReceber#/ratctreceber_filial_centcust/save', {
            "requestType": "DataSet",
            "dataset": dataSet,
            "params": []
        });
    };

    this.buscaEmprBanc = function(cdempresa, cdbanco) {
        var filter = [
            {
                "name": "CDEMPRESA",
                "operator": "=",
                "value": cdempresa
            },
            {
                "name": "CDBANCO",
                "operator": "=",
                "value": cdbanco
            }
        ];
        return restEngine.post('fin#/crud/emprbanc', {
            "requestType": "FilterData",
            "filter": filter
        });
    };

    this.buscaInstCobranca = function(cdbanco, cdinstcobr) {
        var filter = [
            {
                "name": "CDBANCO",
                "operator": "=",
                "value": cdbanco
            },
            {
                "name": "CDINSTCOBR",
                "operator": "=",
                "value": cdinstcobr
            }
        ];
        return restEngine.post('fin#/crud/instcobranca', {
            "requestType": "FilterData",
            "filter": filter
        });
    };
    
    this.existeParametros = function(){
        return restEngine.post('fin#/crud/geral_rec', {
            "requestType": "FilterData",
            "filter": []
        });
    };
    
    this.buscaContaCorrenteVinculada = function(contaCorrente){
        return restEngine.post('fin_contaReceber#/buscaContaCorrenteVinculada', {
            "requestType": "Row",
            "row": contaCorrente
        });
    };
};
Configuration(function(ContextRegister){
    ContextRegister.register('Rec00001_TitulosAReceber_Repository', rec00001_TitulosAReceber_Repository);
});
